Subject: bug#47706: nfs mount in file-system works only if "nfs4" type is used for "mount" syscall

From: fsdfsdfsd3 <[email-masked]>
Date: Sun, 11 Apr 2021 08:33:34 +0000

Hello,

I ran into an issue with trying to mount an nfs file-system in an operating-system config.. I managed to trace it back to being an issue with the mount syscall.

The following did not work:
(mount "192.168.1.10:/nas-server" "/mnt/nas-client" "nfs" 0 "addr=192.168.
1.10")
and would result in an error "No route to host"

I changed the type from "nfs" to "nfs4" however and this did work (For context; at the command line, both mount.nfs and mount.nfs4 also work fine., mount.nfs also works fine without nfs-utils installed).

This might be fixable by adding another check-procedure option for "nfs4" in addition to nfs, but I am sending it your way in case there is something else going on.

Thank you!